commit 43b608f5b04c1917f9b02f1509cad53307841b88
Author: raveit65 <mate@raveit.de>
Date:   Wed Aug 23 10:51:29 2023 +0200

    release 1.27.2

 NEWS         | 10 ++++++++--
 configure.ac |  2 +-
 meson.build  |  2 +-
 3 files changed, 10 insertions(+), 4 deletions(-)

commit 7376d0ee8bf7f8c3e30fed19f179c0eef0b1e0f5
Author: raveit65 <mate@raveit.de>
Date:   Wed Aug 23 10:48:33 2023 +0200

    tx: pull with transifex

 po/ca.po    |  2 +-
 po/cs.po    |  6 +++---
 po/en_GB.po |  2 +-
 po/ko.po    |  2 +-
 po/oc.po    |  7 +++++--
 po/ru.po    |  4 ++--
 po/sl.po    |  2 +-
 po/tr.po    | 24 +++++++++++++++---------
 8 files changed, 29 insertions(+), 20 deletions(-)

commit 12b687f42efd6c004d2a931351eea291e122433d
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Aug 9 16:34:05 2023 -0400

    desktop-item: limit startup notification to x11
    
    *Wrap all startup notification calls in x11-only conditional blocks
    *This is x11-specific code, so don't try to run it outside of x11

 libmate-desktop/mate-desktop-item.c | 98 ++++++++++++++++++++-----------------
 1 file changed, 52 insertions(+), 46 deletions(-)

commit a8085cc547281f7df27a7063ffcdb6c9cb027ee0
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jun 16 18:37:26 2023 -0400

    Initial support for showing a caja desktop in wayland
    
    *put XKillClient and gdk_x11_screen_get_xscreen behind x11-only runtime checks

 libmate-desktop/mate-bg.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 9f81a561186ea52c2bef57b9aaba9e596af4bce2
Author: raveit65 <mate@raveit.de>
Date:   Mon Apr 3 21:13:11 2023 +0200

    release 1.27.1

 NEWS         | 5 +++++
 configure.ac | 2 +-
 meson.build  | 2 +-
 3 files changed, 7 insertions(+), 2 deletions(-)

commit 0586e6a6c59b3b0049b51be03ec409a713662e80
Author: raveit65 <mate@raveit.de>
Date:   Mon Apr 3 20:57:57 2023 +0200

    tx: sync with transifex

 .tx/config_20221028215406.bak |    9 -
 po/af.po                      |    2 +-
 po/am.po                      |    2 +-
 po/an.po                      |    2 +-
 po/ar.po                      |    2 +-
 po/as.po                      |    2 +-
 po/ast.po                     |    2 +-
 po/az.po                      |    2 +-
 po/be.po                      |    2 +-
 po/bg.po                      |    2 +-
 po/bn.po                      |    2 +-
 po/bn_IN.po                   |    2 +-
 po/br.po                      |    2 +-
 po/bs.po                      |    2 +-
 po/ca.po                      |    2 +-
 po/ca@valencia.po             |    2 +-
 po/cmn.po                     |    2 +-
 po/crh.po                     |    2 +-
 po/cs.po                      |   31 +-
 po/cy.po                      |    2 +-
 po/da.po                      |    2 +-
 po/de.po                      |    2 +-
 po/de_CH.po                   |    2 +-
 po/dz.po                      |    2 +-
 po/el.po                      |    2 +-
 po/en_AU.po                   |    2 +-
 po/en_CA.po                   |    2 +-
 po/en_GB.po                   |   19 +-
 po/eo.po                      |    2 +-
 po/es.po                      |    2 +-
 po/es_AR.po                   |    2 +-
 po/es_CL.po                   |    2 +-
 po/es_CO.po                   |    2 +-
 po/es_MX.po                   |    2 +-
 po/et.po                      |    4 +-
 po/eu.po                      |    2 +-
 po/fa.po                      |    2 +-
 po/fi.po                      |    2 +-
 po/fr.po                      |    8 +-
 po/frp.po                     |    2 +-
 po/fur.po                     |    2 +-
 po/fy.po                      |    2 +-
 po/ga.po                      |    2 +-
 po/gl.po                      |    2 +-
 po/gu.po                      |    2 +-
 po/he.po                      |    4 +-
 po/hi.po                      |    2 +-
 po/hr.po                      |    2 +-
 po/hu.po                      |    2 +-
 po/hy.po                      |    2 +-
 po/ia.po                      |    2 +-
 po/id.po                      |   20 +-
 po/ie.po                      |   70 +-
 po/ig.po                      |    2 +-
 po/is.po                      |    2 +-
 po/it.po                      |    2 +-
 po/ja.po                      |    8 +-
 po/jv.po                      |    2 +-
 po/ka.po                      |    7 +-
 po/kab.po                     |    2 +-
 po/kk.po                      |    2 +-
 po/kn.po                      |    2 +-
 po/ko.po                      |    4 +-
 po/ku.po                      |    2 +-
 po/ku_IQ.po                   |    2 +-
 po/ky.po                      |    2 +-
 po/li.po                      |    2 +-
 po/lo.po                      |    2 +-
 po/lt.po                      |    2 +-
 po/lv.po                      |    2 +-
 po/mai.po                     |    2 +-
 po/mg.po                      |    2 +-
 po/mk.po                      |    2 +-
 po/ml.po                      |    2 +-
 po/mn.po                      |    2 +-
 po/mr.po                      |    2 +-
 po/ms.po                      |    2 +-
 po/nb.po                      |   15 +-
 po/nds.po                     |   10 +-
 po/ne.po                      |    2 +-
 po/nl.po                      |   16 +-
 po/nn.po                      |    2 +-
 po/nso.po                     |    2 +-
 po/oc.po                      |    2 +-
 po/or.po                      |    2 +-
 po/pa.po                      |    2 +-
 po/pl.po                      |    2 +-
 po/ps.po                      |    2 +-
 po/pt.po                      |    2 +-
 po/pt_BR.po                   |    2 +-
 po/ro.po                      |    2 +-
 po/ru.po                      |   23 +-
 po/sc.po                      |    2 +-
 po/si.po                      |    2 +-
 po/sk.po                      |    2 +-
 po/sl.po                      |    2 +-
 po/sq.po                      |    2 +-
 po/sr.po                      |    2 +-
 po/sr@latin.po                |    2 +-
 po/sv.po                      |    2 +-
 po/ta.po                      |    2 +-
 po/te.po                      |    2 +-
 po/th.po                      |    2 +-
 po/tk.po                      |    2 +-
 po/tr.po                      |   30 +-
 po/tt.po                      |    2 +-
 po/tzm.po                     | 1434 +++++++++++++++++++++++++++++++++++++++++
 po/ug.po                      |    2 +-
 po/uk.po                      |   92 +--
 po/ur.po                      |    2 +-
 po/uz.po                      |    2 +-
 po/vi.po                      |    2 +-
 po/wa.po                      |    2 +-
 po/xh.po                      |    2 +-
 po/yi.po                      |    2 +-
 po/yo.po                      |    2 +-
 po/zh_CN.po                   |    2 +-
 po/zh_HK.po                   |    2 +-
 po/zh_TW.po                   |    2 +-
 po/zu.po                      |    2 +-
 120 files changed, 1765 insertions(+), 243 deletions(-)

commit 3312217c28c82ff2eb6e02154460e75f5de9c18f
Author: zhuyaliang <15132211195@163.com>
Date:   Thu Mar 30 17:15:09 2023 +0800

    Add mate image menu item apis

 docs/reference/mate-desktop/mate-desktop-docs.sgml |   5 +
 .../mate-desktop/mate-desktop-sections.txt         |  10 +
 libmate-desktop/Makefile.am                        |  14 +-
 libmate-desktop/mate-desktop.abi                   |   5 +
 libmate-desktop/mate-image-menu-item.c             | 552 +++++++++++++++++++++
 libmate-desktop/mate-image-menu-item.h             |  42 ++
 libmate-desktop/meson.build                        |   8 +
 libmate-desktop/test-image-menu-item.c             |  88 ++++
 8 files changed, 721 insertions(+), 3 deletions(-)

commit 96e97b3bd0593c6c160d571c54ea2ebf6ee1c011
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Nov 11 20:12:53 2022 +0100

    release 1.27.0

 NEWS         | 28 ++++++++++++++++++++++++++++
 configure.ac |  2 +-
 meson.build  |  2 +-
 3 files changed, 30 insertions(+), 2 deletions(-)

commit 5b7f1b449dea133d7c343c2ac8d822826c7b836c
Author: mbkma <johannes.unruh@fau.de>
Date:   Wed Nov 9 22:22:08 2022 +0100

    tx: sync with transifex

 po/af.po          | 206 ++++++++++++----------
 po/am.po          | 206 ++++++++++++----------
 po/an.po          | 206 ++++++++++++----------
 po/ar.po          | 212 ++++++++++++----------
 po/as.po          | 206 ++++++++++++----------
 po/ast.po         | 207 ++++++++++++----------
 po/az.po          | 210 ++++++++++++----------
 po/be.po          | 206 ++++++++++++----------
 po/bg.po          | 210 ++++++++++++----------
 po/bn.po          | 206 ++++++++++++----------
 po/bn_IN.po       | 206 ++++++++++++----------
 po/br.po          | 208 ++++++++++++----------
 po/bs.po          | 206 ++++++++++++----------
 po/ca.po          | 209 ++++++++++++----------
 po/ca@valencia.po | 210 ++++++++++++----------
 po/cmn.po         | 206 ++++++++++++----------
 po/crh.po         | 206 ++++++++++++----------
 po/cs.po          | 217 +++++++++++++----------
 po/cy.po          | 206 ++++++++++++----------
 po/da.po          | 219 ++++++++++++-----------
 po/de.po          | 212 ++++++++++++----------
 po/de_CH.po       | 206 ++++++++++++----------
 po/dz.po          | 206 ++++++++++++----------
 po/el.po          | 215 +++++++++++++----------
 po/en_AU.po       | 206 ++++++++++++----------
 po/en_CA.po       | 206 ++++++++++++----------
 po/en_GB.po       | 209 ++++++++++++----------
 po/eo.po          | 210 ++++++++++++----------
 po/es.po          | 236 ++++++++++++++-----------
 po/es_AR.po       | 213 ++++++++++++----------
 po/es_CL.po       | 214 +++++++++++++----------
 po/es_CO.po       | 212 ++++++++++++----------
 po/es_MX.po       | 212 ++++++++++++----------
 po/et.po          | 209 ++++++++++++----------
 po/eu.po          | 237 ++++++++++++++-----------
 po/fa.po          | 211 ++++++++++++----------
 po/fi.po          | 212 ++++++++++++----------
 po/fr.po          | 228 +++++++++++++-----------
 po/frp.po         | 210 ++++++++++++----------
 po/fur.po         | 206 ++++++++++++----------
 po/fy.po          | 210 ++++++++++++----------
 po/ga.po          | 206 ++++++++++++----------
 po/gl.po          | 209 ++++++++++++----------
 po/gu.po          | 206 ++++++++++++----------
 po/he.po          | 209 ++++++++++++----------
 po/hi.po          | 211 ++++++++++++----------
 po/hr.po          | 210 ++++++++++++----------
 po/hu.po          | 212 ++++++++++++----------
 po/hy.po          | 209 ++++++++++++----------
 po/ia.po          | 210 ++++++++++++----------
 po/id.po          | 215 +++++++++++++----------
 po/ie.po          | 207 ++++++++++++----------
 po/ig.po          | 206 ++++++++++++----------
 po/is.po          | 210 ++++++++++++----------
 po/it.po          | 489 ++++++++++++++++++++++++++++-----------------------
 po/ja.po          | 251 ++++++++++++++------------
 po/jv.po          | 210 ++++++++++++----------
 po/ka.po          | 206 ++++++++++++----------
 po/kab.po         | 206 ++++++++++++----------
 po/kk.po          | 206 ++++++++++++----------
 po/kn.po          | 215 +++++++++++++----------
 po/ko.po          | 213 ++++++++++++----------
 po/ku.po          | 206 ++++++++++++----------
 po/ku_IQ.po       | 206 ++++++++++++----------
 po/ky.po          | 206 ++++++++++++----------
 po/li.po          | 206 ++++++++++++----------
 po/lo.po          | 206 ++++++++++++----------
 po/lt.po          | 206 ++++++++++++----------
 po/lv.po          | 206 ++++++++++++----------
 po/mai.po         | 206 ++++++++++++----------
 po/mg.po          | 206 ++++++++++++----------
 po/mk.po          | 206 ++++++++++++----------
 po/ml.po          | 206 ++++++++++++----------
 po/mn.po          | 206 ++++++++++++----------
 po/mr.po          | 210 ++++++++++++----------
 po/ms.po          | 209 ++++++++++++----------
 po/nb.po          | 217 +++++++++++++----------
 po/nds.po         | 210 ++++++++++++----------
 po/ne.po          | 212 ++++++++++++----------
 po/nl.po          | 209 ++++++++++++----------
 po/nn.po          | 209 ++++++++++++----------
 po/nso.po         | 206 ++++++++++++----------
 po/oc.po          | 260 ++++++++++++++-------------
 po/or.po          | 208 ++++++++++++----------
 po/pa.po          | 206 ++++++++++++----------
 po/pl.po          | 221 +++++++++++++----------
 po/ps.po          | 208 ++++++++++++----------
 po/pt.po          | 255 +++++++++++++++------------
 po/pt_BR.po       | 226 +++++++++++++-----------
 po/ro.po          | 211 ++++++++++++----------
 po/ru.po          | 245 +++++++++++++++-----------
 po/sc.po          | 210 ++++++++++++----------
 po/si.po          | 206 ++++++++++++----------
 po/sk.po          | 212 ++++++++++++----------
 po/sl.po          | 515 +++++++++++++++++++++++++++++-------------------------
 po/sq.po          | 208 ++++++++++++----------
 po/sr.po          | 209 ++++++++++++----------
 po/sr@latin.po    | 206 ++++++++++++----------
 po/sv.po          | 218 ++++++++++++-----------
 po/ta.po          | 210 ++++++++++++----------
 po/te.po          | 208 ++++++++++++----------
 po/th.po          | 207 ++++++++++++----------
 po/tk.po          | 206 ++++++++++++----------
 po/tr.po          | 278 ++++++++++++++++-------------
 po/tt.po          | 206 ++++++++++++----------
 po/ug.po          | 206 ++++++++++++----------
 po/uk.po          | 211 ++++++++++++----------
 po/ur.po          | 206 ++++++++++++----------
 po/uz.po          | 206 ++++++++++++----------
 po/vi.po          | 211 ++++++++++++----------
 po/wa.po          | 206 ++++++++++++----------
 po/xh.po          | 206 ++++++++++++----------
 po/yi.po          | 206 ++++++++++++----------
 po/yo.po          | 206 ++++++++++++----------
 po/zh_CN.po       | 485 ++++++++++++++++++++++++++------------------------
 po/zh_HK.po       | 210 ++++++++++++----------
 po/zh_TW.po       | 214 +++++++++++++----------
 po/zu.po          | 206 ++++++++++++----------
 118 files changed, 14492 insertions(+), 11344 deletions(-)

commit 7b379f54a5b09df007f7e84dabbbc5f8ce9381a9
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Mon Nov 7 11:57:51 2022 +0100

    Revert "[mate-bg] small cleanup"
    
    It is not possible to use the `list` pointer after it has been deleted,
    so the "cleanup" this commit made lead to using freed memory if any
    item actually got clean up.
    
    This "cleanup" also don't seem meaningful to me, as all it does
    otherwise is trade an assignation for a redundant test -- either of
    which the compiler might happily optimize out.
    
    This reverts commit 47426c90d10e9f738ecf89f35db94ca8deff55e0.

 libmate-desktop/mate-bg.c | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

commit 354058cc0370a770bb2cfe46d6e6082035d3f909
Author: mbkma <johannes.unruh@fau.de>
Date:   Sat Oct 29 15:39:06 2022 +0200

    tx: update resource

 mate-desktop.pot | 204 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 109 insertions(+), 95 deletions(-)

commit ca466c127ffb6c92b1975f6f8aa4748f1240b11b
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Oct 28 21:54:07 2022 +0200

    tx: migrate config file

 .tx/config                    | 13 +++++++------
 .tx/config_20221028215406.bak |  9 +++++++++
 2 files changed, 16 insertions(+), 6 deletions(-)

commit 3ca4cf20fc5d80d4aae64746f505740eff5d2c23
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Jul 28 18:22:38 2022 +0200

    mate-desktop-item: time_t mtime -> gint64 mtime
    
    The timestamp is compared with g_file_info_get_attribute_uint64
    in mate_desktop_item_get_file_status (const MateDesktopItem *item)

 libmate-desktop/mate-desktop-item.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit d33085ff3b6a088a512b243382d20f1f0adc0957
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Jul 28 18:21:22 2022 +0200

    mate-bg: time_t mtime -> gint64 mtime
    
    The timestamp is retrieved with g_file_info_get_attribute_uint64
    in get_mtime (const char *filename)

 libmate-desktop/mate-bg.c | 27 ++++++++-------------------
 1 file changed, 8 insertions(+), 19 deletions(-)

commit ec93c117bf6dd3bc8f465012902dbd7aad38d6a7
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Dec 22 08:47:47 2021 +0100

    Fix implicit conversion changes signedness: 'gboolean' to 'guint'

 libmate-desktop/mate-colorbutton.c | 2 +-
 libmate-desktop/mate-colorsel.c    | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 3084c93b8c7f0b4520a665e54dc508e7cda12dc1
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Oct 22 18:26:52 2021 +0200

    mate-desktop-thumbnail: fix memory leak

 libmate-desktop/mate-desktop-thumbnail.c | 1 +
 1 file changed, 1 insertion(+)

commit 0f2374f59767e2117456a88ada65e207fa471cd6
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Oct 28 13:49:11 2021 +0200

    Fix build warnings about missing field initializer

 libmate-desktop/mate-colorsel.c | 6 +++---
 mate-about/mate-about.h.in      | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit b9a25a4f24ffb23874e0923f63c75149f13b071c
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Nov 8 12:44:21 2021 +0100

    mate-bg: fix memory leak

 libmate-desktop/mate-bg.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit d9d67f267e6906f7d2f8212081f32b7d58d4afa2
Author: rbuj <robert.buj@gmail.com>
Date:   Sat Nov 27 11:16:04 2021 +0100

    mate-bg: Dereference of null pointer

 libmate-desktop/mate-bg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 58cfa199535e2c4f86b8b8507e8979a6d23487e4
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Jul 25 15:18:59 2022 +0200

    configure.ac: The macro 'AC_HELP_STRING' is obsolete

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d0aba4c3a76bed01e073ed8e301655b56cf00e2e
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Jul 26 19:49:11 2022 +0200

    mate-desktop-item: macro is not used [-Wunused-macros]

 libmate-desktop/mate-desktop-item.c | 2 --
 1 file changed, 2 deletions(-)

commit e9ba2a710c300c435cb32546d6255a6cf12201c9
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Jul 26 19:48:47 2022 +0200

    mate-colorsel: macro is not used [-Wunused-macros]

 libmate-desktop/mate-colorsel.c | 2 --
 1 file changed, 2 deletions(-)

commit dacb6f92c3d89895dc7b096a259352e601947614
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Jul 26 19:48:21 2022 +0200

    mate-bg: macro is not used [-Wunused-macros]

 libmate-desktop/mate-bg.c | 4 ----
 1 file changed, 4 deletions(-)

commit 27082014c8d2a8a725f858ec4044e65cefeb5ca5
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Jul 26 19:37:41 2022 +0200

    mate-colorbutton: fix -Wenum-conversion warning

 libmate-desktop/mate-colorbutton.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 06abb0c3dd4183f19cdea66d4199fa79e40a5668
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Jul 26 20:42:15 2022 +0200

    mate-rr: fix -Wsign-compare warning

 libmate-desktop/mate-rr.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit eba064d0db0cb3ea79d5f0a487ee5defcf514a8a
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Jul 26 20:41:48 2022 +0200

    mate-rr-config: fix -Wsign-compare warning

 libmate-desktop/mate-rr-config.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5f7905fadeabc81b74aa276e6924c9338e7a9839
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Jul 26 20:41:23 2022 +0200

    mate-bg: fix -Wsign-compare warning

 libmate-desktop/mate-bg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d3de7968bc7b608e70b090bd838eeaf4ea7d1913
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Jul 26 20:40:57 2022 +0200

    display-name: fix -Wsign-compare warning

 libmate-desktop/display-name.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e9eb2ad4c4ead503ce07a0623bf3fd58653e74ab
Author: Gordon Norman Squash <gordsqsh@protonmail.com>
Date:   Thu Jul 28 21:25:48 2022 -0400

    Add setting for adjustment of audio volume above 100 per cent:  Part 1
    
    There is often a need for the user to increase the audio playback volume above
    the volume level known as "100% volume".  While increasing the audio volume
    above 100% can result in degraded audio quality, sometimes the audio was, for
    example, originally recorded at an extremely low volume, and the user has no
    other option to clearly hear the audio.  Unfortunately, most MATE applications
    with volume controls do not allow the user to set the volume level above 100%.
    For example, the main MATE Sound Preferences dialog lets you set the audio
    volume beyond 100% (when possible), whereas the Volume Control Applet, Volume
    Control status icon, and special "multimedia" volume control keys do not.  In
    fact, if the user even tries to change the volume using any of the latter
    methods, and the current volume level is above 100%, these latter methods will
    all reduce the volume to 100%, even if the user tried to increase the volume!
    
    This is part 1 of a patch to change this situation.  All that this patch does
    is add a new, standard MATE setting which determines whether the user should
    be allowed to set the audio volume above 100%.  The rest of the functionality
    of this patch is in other commits / pull requests.

 schemas/org.mate.sound.gschema.xml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 987be5c82b2555074cedf3af3307f1b4530ff0cc
Author: raveit65 <mate@raveit.de>
Date:   Sun Feb 13 19:10:59 2022 +0100

    ci: drop -Wunused-parameter compiler cflag from debian build

 .build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 03e38ada456be8fecd04fde9fa6a8293816292aa
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Oct 27 17:50:56 2021 +0200

    Use a blank line at most

 libmate-desktop/display-name.c           |  1 -
 libmate-desktop/mate-bg.c                |  9 ---------
 libmate-desktop/mate-colorbutton.c       |  4 ----
 libmate-desktop/mate-colorbutton.h       |  3 ---
 libmate-desktop/mate-colorsel.c          | 11 -----------
 libmate-desktop/mate-colorsel.h          |  4 ----
 libmate-desktop/mate-colorseldialog.c    |  1 -
 libmate-desktop/mate-colorseldialog.h    |  4 ----
 libmate-desktop/mate-desktop-item.c      | 14 --------------
 libmate-desktop/mate-desktop-item.h      |  1 -
 libmate-desktop/mate-desktop-thumbnail.h |  1 -
 libmate-desktop/mate-hsv.c               |  5 -----
 libmate-desktop/mate-hsv.h               |  2 --
 libmate-desktop/mate-rr-config.c         |  1 -
 libmate-desktop/mate-rr-config.h         |  1 -
 libmate-desktop/mate-rr.c                |  1 -
 libmate-desktop/test-ditem.c             |  2 --
 17 files changed, 65 deletions(-)

commit bc46804cd6dd0da229a4b84c3cfca73c7ef44f90
Author: rezso <rezso@rezso.net>
Date:   Tue Oct 19 07:47:44 2021 +0200

    Fix versions
    
    mate_minor_version and mate_micro_version always 1. In addition, mate_minor / mate_minor_version and mate_micro / mate_micro_version always same.

 meson.build | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 1c6c9fc80ab2117b2dba4350e33b0eaa0d5f9f51
Author: raveit65 <mate@raveit.de>
Date:   Sat Aug 7 00:09:45 2021 +0200

    fix meson version
    
    closes https://github.com/mate-desktop/mate-desktop/issues/475

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 49aed95a798deb938ed3234037882363145ae895
Author: raveit65 <mate@raveit.de>
Date:   Tue Aug 3 19:23:26 2021 +0200

    release 1.26.0

 NEWS         | 22 ++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 23 insertions(+), 1 deletion(-)

commit 23fdbbdf35ec4a24191c6175d2a5a9a6dad3e26f
Author: raveit65 <mate@raveit.de>
Date:   Tue Aug 3 02:32:01 2021 +0200

    tx: update resource

 mate-desktop.pot | 28 ++++++++++++++++++++--------
 1 file changed, 20 insertions(+), 8 deletions(-)

commit 98885c85ec0441061f6c964651ba9377178249f2
Author: raveit65 <mate@raveit.de>
Date:   Tue Aug 3 02:29:06 2021 +0200

    tx: sync with transifex

 po/af.po          | 159 +++++++++++------
 po/am.po          | 159 +++++++++++------
 po/an.po          | 155 +++++++++++------
 po/ar.po          | 161 +++++++++++------
 po/as.po          | 159 +++++++++++------
 po/ast.po         | 159 +++++++++++------
 po/az.po          | 159 +++++++++++------
 po/be.po          | 159 +++++++++++------
 po/bg.po          | 159 +++++++++++------
 po/bn.po          | 159 +++++++++++------
 po/bn_IN.po       | 159 +++++++++++------
 po/br.po          | 159 +++++++++++------
 po/bs.po          | 161 +++++++++++------
 po/ca.po          | 165 ++++++++++++------
 po/ca@valencia.po | 159 +++++++++++------
 po/cmn.po         | 159 +++++++++++------
 po/crh.po         | 159 +++++++++++------
 po/cs.po          | 173 +++++++++++-------
 po/cy.po          | 161 +++++++++++------
 po/da.po          | 176 +++++++++++++------
 po/de.po          | 160 +++++++++++------
 po/de_CH.po       | 155 +++++++++++------
 po/dz.po          | 159 +++++++++++------
 po/el.po          | 161 +++++++++++------
 po/en_AU.po       | 159 +++++++++++------
 po/en_CA.po       | 159 +++++++++++------
 po/en_GB.po       | 188 +++++++++++++-------
 po/eo.po          | 160 +++++++++++------
 po/es.po          | 182 +++++++++++++------
 po/es_AR.po       | 155 +++++++++++------
 po/es_CL.po       | 155 +++++++++++------
 po/es_CO.po       | 159 +++++++++++------
 po/es_MX.po       | 159 +++++++++++------
 po/et.po          | 162 +++++++++++------
 po/eu.po          | 161 +++++++++++------
 po/fa.po          | 161 +++++++++++------
 po/fi.po          | 164 ++++++++++-------
 po/fr.po          | 184 +++++++++++++-------
 po/frp.po         | 155 +++++++++++------
 po/fur.po         | 159 +++++++++++------
 po/fy.po          | 159 +++++++++++------
 po/ga.po          | 159 +++++++++++------
 po/gl.po          | 185 +++++++++++++-------
 po/gu.po          | 159 +++++++++++------
 po/he.po          | 218 ++++++++++++++---------
 po/hi.po          | 159 +++++++++++------
 po/hr.po          | 159 +++++++++++------
 po/hu.po          | 159 +++++++++++------
 po/hy.po          | 159 +++++++++++------
 po/ia.po          | 159 +++++++++++------
 po/id.po          | 180 ++++++++++++-------
 po/ie.po          | 159 +++++++++++------
 po/ig.po          | 159 +++++++++++------
 po/is.po          | 161 +++++++++++------
 po/it.po          | 191 +++++++++++++-------
 po/ja.po          | 249 ++++++++++++++++----------
 po/jv.po          | 155 +++++++++++------
 po/ka.po          | 159 +++++++++++------
 po/kab.po         | 181 ++++++++++++-------
 po/kk.po          | 159 +++++++++++------
 po/kn.po          | 512 +++++++++++++++++++++++++++++++++++-------------------
 po/ko.po          | 234 +++++++++++++++----------
 po/ku.po          | 159 +++++++++++------
 po/ku_IQ.po       | 159 +++++++++++------
 po/ky.po          | 159 +++++++++++------
 po/li.po          | 159 +++++++++++------
 po/lo.po          | 155 +++++++++++------
 po/lt.po          | 165 +++++++++++-------
 po/lv.po          | 161 +++++++++++------
 po/mai.po         | 159 +++++++++++------
 po/mg.po          | 159 +++++++++++------
 po/mk.po          | 159 +++++++++++------
 po/ml.po          | 159 +++++++++++------
 po/mn.po          | 159 +++++++++++------
 po/mr.po          | 159 +++++++++++------
 po/ms.po          | 177 +++++++++++++------
 po/nb.po          | 174 +++++++++++++------
 po/nds.po         | 159 +++++++++++------
 po/ne.po          | 161 +++++++++++------
 po/nl.po          | 180 ++++++++++++-------
 po/nn.po          | 159 +++++++++++------
 po/nso.po         | 159 +++++++++++------
 po/oc.po          | 413 ++++++++++++++++++++++++++++---------------
 po/or.po          | 159 +++++++++++------
 po/pa.po          | 159 +++++++++++------
 po/pl.po          | 197 ++++++++++++++-------
 po/ps.po          | 159 +++++++++++------
 po/pt.po          | 173 +++++++++++-------
 po/pt_BR.po       | 162 +++++++++++------
 po/ro.po          | 159 +++++++++++------
 po/ru.po          | 162 +++++++++++------
 po/sc.po          | 155 +++++++++++------
 po/si.po          | 159 +++++++++++------
 po/sk.po          | 171 +++++++++++-------
 po/sl.po          | 164 ++++++++++-------
 po/sq.po          | 183 ++++++++++++-------
 po/sr.po          | 172 ++++++++++++------
 po/sr@latin.po    | 159 +++++++++++------
 po/sv.po          | 163 +++++++++++------
 po/ta.po          | 160 +++++++++++------
 po/te.po          | 159 +++++++++++------
 po/th.po          | 160 +++++++++++------
 po/tk.po          | 159 +++++++++++------
 po/tr.po          | 161 +++++++++++------
 po/tt.po          | 159 +++++++++++------
 po/ug.po          | 159 +++++++++++------
 po/uk.po          | 391 ++++++++++++++++++++++++-----------------
 po/ur.po          | 159 +++++++++++------
 po/uz.po          | 159 +++++++++++------
 po/vi.po          | 159 +++++++++++------
 po/wa.po          | 159 +++++++++++------
 po/xh.po          | 159 +++++++++++------
 po/yi.po          | 159 +++++++++++------
 po/yo.po          | 159 +++++++++++------
 po/zh_CN.po       | 176 ++++++++++++-------
 po/zh_HK.po       | 159 +++++++++++------
 po/zh_TW.po       | 164 +++++++++++------
 po/zu.po          | 159 +++++++++++------
 118 files changed, 13330 insertions(+), 6908 deletions(-)

commit 06ba5858d461178e904a8d1f65bf5cff056fe9d7
Author: zhuyaliang <15132211195@163.com>
Date:   Mon Jul 19 00:21:46 2021 +0800

    Replace the obsolete API in mate-colorsel.c file

 libmate-desktop/mate-colorsel.c | 55 ++++++++++++++++++++++++++++++-----------
 1 file changed, 40 insertions(+), 15 deletions(-)

commit 81dacb6e8cdbc8e9a505140fb83a9653e368b5bb
Author: zhuyaliang <15132211195@163.com>
Date:   Sun Jul 18 08:46:46 2021 +0800

    Fix compilation warning

 libmate-desktop/mate-colorbutton.c    | 31 ++++++++++++++------------
 libmate-desktop/mate-colorseldialog.c | 41 +++++++++++++++++++++++++++--------
 libmate-desktop/mate-rr.c             |  9 +++++++-
 tools/mate-color-select.c             |  6 ++---
 4 files changed, 60 insertions(+), 27 deletions(-)

commit 4b92d782d84f9bf543a1661218e333b27c43b0d0
Author: raveit65 <mate@raveit.de>
Date:   Mon Jun 21 18:43:04 2021 +0200

    tx: update resource

 mate-desktop.pot | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit 26141eb1e23c83f174b14a0287125050e93317e2
Author: raveit65 <mate@raveit.de>
Date:   Mon Jun 21 18:36:35 2021 +0200

    update copyright to 2021

 libmate-desktop/mate-bg.c                | 1 +
 libmate-desktop/mate-bg.h                | 1 +
 libmate-desktop/mate-dconf.c             | 1 +
 libmate-desktop/mate-dconf.h             | 1 +
 libmate-desktop/mate-desktop.h           | 1 +
 libmate-desktop/mate-gsettings.c         | 1 +
 libmate-desktop/mate-gsettings.h         | 1 +
 libmate-desktop/mate-hsv.c               | 1 +
 libmate-desktop/mate-hsv.h               | 1 +
 libmate-desktop/test-desktop-thumbnail.c | 1 +
 libmate-desktop/test.c                   | 1 +
 mate-about/mate-about.h.in               | 1 +
 tools/mate-color-select.c                | 1 +
 13 files changed, 13 insertions(+)

commit 2a8cae078fd34bce1dbbc52696cd7175cedf0b5f
Author: raveit65 <mate@raveit.de>
Date:   Sun May 30 13:17:14 2021 +0200

    travis-ci: use ubuntu focal as host system
    
    fixes build issues with fedora:latest (f34) tag.

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 987fcbf0406a4fdd09e13804c4898d7fb07cab02
Author: Gordon N. Squash <gordsqsh@protonmail.com>
Date:   Wed May 12 19:55:21 2021 -0400

    MATE About: Fix off-by-one error, display yerba mate comment
    
    The MATE About program is designed to display one of six messages at random
    each time you launch the application, showcasing the fundamental values of
    the MATE Project.  Unfortunately, due to an off-by-one programming error
    introduced many years ago, only the first five messages ever get displayed;
    the sixth message, referring to where MATE got its name from, is never chosen.
    This was due to a misunderstanding of the GLib function `g_random_int_range`:
    The function is and always was designed to be passed an inclusive lower and
    an exclusive upper value for the random integer, generating a random integer
    that is greater than or equal to the lower value and less than the upper value
    specified.  The MATE About application errantly subtracted 1 from the upper
    value itself, and thus only messages 1 through 5 were ever picked.
    
    This commit removes the unnecessary subtraction.

 mate-about/mate-about.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 916666cd80914fdcebeefc3351774fd5b3c9a5cd
Author: raveit65 <mate@raveit.de>
Date:   Fri Apr 23 19:31:50 2021 +0200

    travis: disable travis builds for ubuntu
    
    Sadly, there is a limit for free builds at docker.com
    See discussion
    https://github.com/orgs/mate-desktop/teams/core-team/discussions/25

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 02cf23f7ed09e8c204200152f9dda39970864d39
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Mar 10 10:27:09 2021 +0100

    Remove shadow warnings [-Wshadow]

 libmate-desktop/mate-bg.c        | 8 ++++----
 libmate-desktop/mate-rr-config.c | 2 +-
 libmate-desktop/mate-rr.c        | 8 ++------
 3 files changed, 7 insertions(+), 11 deletions(-)

commit b1c408e7c97bb2dc64a3d83b2098dfca14ecb916
Author: raveit65 <mate@raveit.de>
Date:   Mon Mar 8 17:53:35 2021 +0100

    travis: build with mate-common-1.24.2 from repos

 .build.yml | 11 -----------
 1 file changed, 11 deletions(-)

commit 9486df8447a695c21edf7cc2ce1f222a3159588e
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Feb 5 22:07:15 2021 +0100

    mate-about: Use the macro _(String) instead of the macro gettext(Msgid)

 mate-about/mate-about.c    | 5 +++--
 mate-about/mate-about.h.in | 1 -
 2 files changed, 3 insertions(+), 3 deletions(-)

commit cf587626632dbd9e7b00b58f23064a3f75d2bfd7
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Feb 5 21:55:45 2021 +0100

    Drop local macro mate_gettext(package, locale, codeset)

 mate-about/mate-about.c   | 13 +++----------
 tools/mate-color-select.c |  9 +++------
 2 files changed, 6 insertions(+), 16 deletions(-)

commit 25f29868150a992fa0d11e6944d720c9daadb530
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Feb 2 16:04:02 2021 +0100

    Remove warning -Wbad-function-cast

 libmate-desktop/mate-bg.c        |  4 ++-
 libmate-desktop/mate-colorsel.c  | 21 +++++++++-----
 libmate-desktop/mate-hsv.c       |  6 ++--
 libmate-desktop/mate-languages.c | 62 ++++++++++++++++++++++++----------------
 4 files changed, 57 insertions(+), 36 deletions(-)

commit 95e62346209b6a20965ebce7bbcd5b9a31d73ad3
Author: raveit65 <mate@raveit.de>
Date:   Mon Feb 22 20:03:35 2021 +0100

    tx: temporarily disable build for ArchLinux

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 44193bc230d11676c8a2ae247f819deaaebb82c0
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Jan 10 14:03:07 2021 +0100

    g_settings_get_string always returns a newly-allocated string

 .build.yml                                         |  167 +
 .github/FUNDING.yml                                |    9 +
 .github/issue_template.md                          |   19 +
 .travis.yml                                        |   76 +
 .tx/config                                         |    9 +
 AUTHORS                                            |   26 +
 COPYING                                            |  339 ++
 COPYING-DOCS                                       |  355 ++
 COPYING.LIB                                        |  481 +++
 ChangeLog                                          |    2 +
 Makefile.am                                        |   57 +
 NEWS                                               |  316 ++
 README                                             |   34 +
 abi-check                                          |   45 +
 autogen.sh                                         |   24 +
 config.meson.h                                     |   50 +
 configure.ac                                       |  293 ++
 docs/Makefile.am                                   |    3 +
 docs/reference/Makefile.am                         |    3 +
 docs/reference/mate-desktop/Makefile.am            |   82 +
 docs/reference/mate-desktop/mate-desktop-docs.sgml |   50 +
 .../mate-desktop/mate-desktop-overrides.txt        |    0
 .../mate-desktop/mate-desktop-sections.txt         |  310 ++
 docs/reference/mate-desktop/mate-desktop.types     |    9 +
 docs/reference/mate-desktop/meson.build            |    7 +
 git.mk                                             |  400 ++
 icons/128x128/apps/mate-desktop.png                |  Bin 0 -> 14990 bytes
 icons/16x16/apps/mate-desktop.png                  |  Bin 0 -> 896 bytes
 icons/22x22/apps/mate-desktop.png                  |  Bin 0 -> 1403 bytes
 icons/24x24/apps/mate-desktop.png                  |  Bin 0 -> 1595 bytes
 icons/32x32/apps/mate-desktop.png                  |  Bin 0 -> 2427 bytes
 icons/48x48/apps/mate-desktop.png                  |  Bin 0 -> 4290 bytes
 icons/Makefile.am                                  |   46 +
 icons/meson.build                                  |   17 +
 icons/scalable/apps/mate-desktop-symbolic.svg      |   24 +
 icons/scalable/apps/mate-desktop.svg               |  213 ++
 libmate-desktop/Makefile.am                        |  149 +
 libmate-desktop/display-name.c                     |  302 ++
 libmate-desktop/edid-parse.c                       |  536 +++
 libmate-desktop/edid.h                             |  184 +
 libmate-desktop/mate-bg-crossfade.c                |  766 ++++
 libmate-desktop/mate-bg-crossfade.h                |   80 +
 libmate-desktop/mate-bg.c                          | 3276 ++++++++++++++++
 libmate-desktop/mate-bg.h                          |  172 +
 libmate-desktop/mate-colorbutton.c                 |  895 +++++
 libmate-desktop/mate-colorbutton.h                 |  103 +
 libmate-desktop/mate-colorsel.c                    | 2902 +++++++++++++++
 libmate-desktop/mate-colorsel.h                    |  130 +
 libmate-desktop/mate-colorseldialog.c              |  222 ++
 libmate-desktop/mate-colorseldialog.h              |   77 +
 libmate-desktop/mate-dconf.c                       |  147 +
 libmate-desktop/mate-dconf.h                       |   48 +
 libmate-desktop/mate-desktop-2.0-uninstalled.pc.in |   11 +
 libmate-desktop/mate-desktop-2.0.pc.in             |   12 +
 libmate-desktop/mate-desktop-item.c                | 3902 ++++++++++++++++++++
 libmate-desktop/mate-desktop-item.h                |  308 ++
 libmate-desktop/mate-desktop-thumbnail.c           | 1351 +++++++
 libmate-desktop/mate-desktop-thumbnail.h           |  102 +
 libmate-desktop/mate-desktop-utils.c               |  461 +++
 libmate-desktop/mate-desktop-utils.h               |   58 +
 libmate-desktop/mate-desktop.abi                   |  245 ++
 libmate-desktop/mate-desktop.h                     |   44 +
 libmate-desktop/mate-desktop.map                   |    6 +
 libmate-desktop/mate-gsettings.c                   |  188 +
 libmate-desktop/mate-gsettings.h                   |   50 +
 libmate-desktop/mate-hsv.c                         | 1439 ++++++++
 libmate-desktop/mate-hsv.h                         |   99 +
 libmate-desktop/mate-languages.c                   | 1321 +++++++
 libmate-desktop/mate-languages.h                   |   53 +
 libmate-desktop/mate-rr-config.c                   | 1976 ++++++++++
 libmate-desktop/mate-rr-config.h                   |  151 +
 libmate-desktop/mate-rr-labeler.c                  |  548 +++
 libmate-desktop/mate-rr-labeler.h                  |   65 +
 libmate-desktop/mate-rr-output-info.c              |  252 ++
 libmate-desktop/mate-rr-private.h                  |   84 +
 libmate-desktop/mate-rr.c                          | 2164 +++++++++++
 libmate-desktop/mate-rr.h                          |  200 +
 libmate-desktop/meson.build                        |  162 +
 libmate-desktop/pnp.ids                            | 2248 +++++++++++
 libmate-desktop/private.h                          |   36 +
 libmate-desktop/test-desktop-thumbnail.c           |   63 +
 libmate-desktop/test-ditem.c                       |  160 +
 libmate-desktop/test-languages.c                   |   88 +
 libmate-desktop/test.c                             |   57 +
 makepot                                            |    6 +
 man/Makefile.am                                    |   12 +
 man/mate-about.1                                   |   24 +
 man/mate-color-select.1                            |   18 +
 man/meson.build                                    |    5 +
 mate-about/Makefile.am                             |   32 +
 mate-about/mate-about.c                            |  114 +
 mate-about/mate-about.desktop.in                   |   12 +
 mate-about/mate-about.h.in                         |  670 ++++
 mate-about/mate-version.xml.in                     |    7 +
 mate-about/meson.build                             |   55 +
 mate-desktop.pot                                   | 1400 +++++++
 meson.build                                        |  125 +
 meson_options.txt                                  |   29 +
 po/LINGUAS                                         |  121 +
 po/Makevars                                        |   78 +
 po/POTFILES.in                                     |   39 +
 po/POTFILES.skip                                   |    4 +
 po/af.po                                           | 1360 +++++++
 po/am.po                                           | 1375 +++++++
 po/an.po                                           | 1372 +++++++
 po/ar.po                                           | 1448 ++++++++
 po/as.po                                           | 1414 +++++++
 po/ast.po                                          | 1449 ++++++++
 po/az.po                                           | 1374 +++++++
 po/be.po                                           | 1420 +++++++
 po/bg.po                                           | 1535 ++++++++
 po/bn.po                                           | 1430 +++++++
 po/bn_IN.po                                        | 1427 +++++++
 po/br.po                                           | 1501 ++++++++
 po/bs.po                                           | 1392 +++++++
 po/ca.po                                           | 1537 ++++++++
 po/ca@valencia.po                                  | 1552 ++++++++
 po/cmn.po                                          | 1370 +++++++
 po/crh.po                                          | 1424 +++++++
 po/cs.po                                           | 1522 ++++++++
 po/cy.po                                           | 1422 +++++++
 po/da.po                                           | 1531 ++++++++
 po/de.po                                           | 1561 ++++++++
 po/de_CH.po                                        | 1370 +++++++
 po/dz.po                                           | 1398 +++++++
 po/el.po                                           | 1548 ++++++++
 po/en_AU.po                                        | 1466 ++++++++
 po/en_CA.po                                        | 1375 +++++++
 po/en_GB.po                                        | 1486 ++++++++
 po/eo.po                                           | 1414 +++++++
 po/es.po                                           | 1564 ++++++++
 po/es_AR.po                                        | 1378 +++++++
 po/es_CL.po                                        | 1375 +++++++
 po/es_CO.po                                        | 1362 +++++++
 po/es_MX.po                                        | 1372 +++++++
 po/et.po                                           | 1466 ++++++++
 po/eu.po                                           | 1490 ++++++++
 po/fa.po                                           | 1406 +++++++
 po/fi.po                                           | 1507 ++++++++
 po/fr.po                                           | 1589 ++++++++
 po/frp.po                                          | 1357 +++++++
 po/fur.po                                          | 1368 +++++++
 po/fy.po                                           | 1367 +++++++
 po/ga.po                                           | 1369 +++++++
 po/gl.po                                           | 1547 ++++++++
 po/gnome-copyrights.txt                            | 1374 +++++++
 po/gu.po                                           | 1409 +++++++
 po/he.po                                           | 1422 +++++++
 po/hi.po                                           | 1409 +++++++
 po/hr.po                                           | 1522 ++++++++
 po/hu.po                                           | 1541 ++++++++
 po/hy.po                                           | 1496 ++++++++
 po/ia.po                                           | 1359 +++++++
 po/id.po                                           | 1522 ++++++++
 po/ie.po                                           | 1357 +++++++
 po/ig.po                                           | 1357 +++++++
 po/is.po                                           | 1444 ++++++++
 po/it.po                                           | 1563 ++++++++
 po/ja.po                                           | 1407 +++++++
 po/jv.po                                           | 1385 +++++++
 po/ka.po                                           | 1381 +++++++
 po/kab.po                                          | 1360 +++++++
 po/kk.po                                           | 1392 +++++++
 po/kn.po                                           | 1418 +++++++
 po/ko.po                                           | 1409 +++++++
 po/ku.po                                           | 1380 +++++++
 po/ku_IQ.po                                        | 1358 +++++++
 po/ky.po                                           | 1359 +++++++
 po/li.po                                           | 1357 +++++++
 po/lo.po                                           | 1361 +++++++
 po/lt.po                                           | 1515 ++++++++
 po/lv.po                                           | 1413 +++++++
 po/mai.po                                          | 1379 +++++++
 po/meson.build                                     |    1 +
 po/mg.po                                           | 1382 +++++++
 po/mi.po                                           | 1387 +++++++
 po/mk.po                                           | 1453 ++++++++
 po/ml.po                                           | 1452 ++++++++
 po/mn.po                                           | 1409 +++++++
 po/mr.po                                           | 1413 +++++++
 po/ms.po                                           | 1510 ++++++++
 po/nb.po                                           | 1515 ++++++++
 po/nds.po                                          | 1462 ++++++++
 po/ne.po                                           | 1383 +++++++
 po/nl.po                                           | 1555 ++++++++
 po/nn.po                                           | 1405 +++++++
 po/nso.po                                          | 1359 +++++++
 po/oc.po                                           | 1372 +++++++
 po/or.po                                           | 1419 +++++++
 po/pa.po                                           | 1406 +++++++
 po/pl.po                                           | 1534 ++++++++
 po/ps.po                                           | 1359 +++++++
 po/pt.po                                           | 1547 ++++++++
 po/pt_BR.po                                        | 1574 ++++++++
 po/ro.po                                           | 1501 ++++++++
 po/ru.po                                           | 1567 ++++++++
 po/sc.po                                           | 1436 +++++++
 po/si.po                                           | 1357 +++++++
 po/sk.po                                           | 1509 ++++++++
 po/sl.po                                           | 1510 ++++++++
 po/sq.po                                           | 1439 ++++++++
 po/sr.po                                           | 1514 ++++++++
 po/sr@latin.po                                     | 1487 ++++++++
 po/sv.po                                           | 1516 ++++++++
 po/ta.po                                           | 1413 +++++++
 po/te.po                                           | 1410 +++++++
 po/th.po                                           | 1399 +++++++
 po/tk.po                                           | 1357 +++++++
 po/tr.po                                           | 1531 ++++++++
 po/tt.po                                           | 1357 +++++++
 po/ug.po                                           | 1366 +++++++
 po/uk.po                                           | 1524 ++++++++
 po/ur.po                                           | 1371 +++++++
 po/uz.po                                           | 1371 +++++++
 po/vi.po                                           | 1413 +++++++
 po/wa.po                                           | 1361 +++++++
 po/xh.po                                           | 1382 +++++++
 po/yi.po                                           | 1359 +++++++
 po/yo.po                                           | 1357 +++++++
 po/zh_CN.po                                        | 1413 +++++++
 po/zh_HK.po                                        | 1369 +++++++
 po/zh_TW.po                                        | 1398 +++++++
 po/zu.po                                           | 1359 +++++++
 schemas/Makefile.am                                |   28 +
 schemas/meson.build                                |   40 +
 .../org.mate.accessibility-keyboard.gschema.xml    |  118 +
 schemas/org.mate.accessibility-startup.gschema.xml |    9 +
 .../org.mate.applications-at-mobility.gschema.xml  |   14 +
 .../org.mate.applications-at-visual.gschema.xml    |   14 +
 schemas/org.mate.applications-browser.gschema.xml  |   19 +
 .../org.mate.applications-calculator.gschema.xml   |    9 +
 .../org.mate.applications-messenger.gschema.xml    |    9 +
 schemas/org.mate.applications-office.gschema.xml   |   30 +
 schemas/org.mate.applications-terminal.gschema.xml |   14 +
 schemas/org.mate.background.gschema.xml.in         |   62 +
 schemas/org.mate.debug.gschema.xml                 |   19 +
 schemas/org.mate.file-views.gschema.xml            |    9 +
 schemas/org.mate.interface.gschema.xml             |  192 +
 schemas/org.mate.lockdown.gschema.xml              |   49 +
 schemas/org.mate.sound.gschema.xml                 |   34 +
 schemas/org.mate.thumbnail-cache.gschema.xml       |   13 +
 schemas/org.mate.thumbnailers.gschema.xml          |   14 +
 schemas/org.mate.typing-break.gschema.xml          |   24 +
 tools/Makefile.am                                  |   29 +
 tools/mate-color-select.c                          |   92 +
 tools/mate-color-select.desktop.in                 |   14 +
 tools/meson.build                                  |   18 +
 utils/post_install.py                              |   21 +
 248 files changed, 206886 insertions(+)
